Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-84123

Add versioning to BSON validation

    • Type: Icon: New Feature New Feature
    • Resolution: Fixed
    • Priority: Icon: Major - P3 Major - P3
    • 8.0.0-rc0, 7.0.7
    • Affects Version/s: 7.3.0-rc0
    • Component/s: None
    • Labels:
      None
    • Fully Compatible
    • v7.0, v6.0
    • Execution Team 2023-12-25, Execution Team 2024-01-08, Execution Team 2024-01-22, Execution Team 2024-02-05
    • 200

      In order to resolve multiversion fuzzer errors when introducing new validation for BSON (as with the recent addition of BSONColumn validation), we need to support versioning on BSON validation so we can instruct tests to use older versions of the validator.

            Assignee:
            binh.vo@mongodb.com Binh Vo
            Reporter:
            binh.vo@mongodb.com Binh Vo
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Created:
              Updated:
              Resolved: